# Uses of Class
javax.management.relation.RoleUnresolved

Packages that use RoleUnresolved
Package
Description
javax.management.relation
Provides the definition of the Relation Service.

## Uses of RoleUnresolved in javax.management.relation

Methods in javax.management.relation that return types with arguments of type RoleUnresolved
Modifier and Type
Method
Description
`List<RoleUnresolved>`
RoleUnresolvedList.`asList()`
Return a view of this list as a `List<RoleUnresolved>`.
Methods in javax.management.relation with parameters of type RoleUnresolved
Modifier and Type
Method
Description
`void`
RoleUnresolvedList.`add(int index, RoleUnresolved role)`
Inserts the unresolved role specified as an element at the position specified.
`void`
RoleUnresolvedList.`add(RoleUnresolved role)`
Adds the RoleUnresolved specified as the last element of the list.
`void`
RoleUnresolvedList.`set(int index, RoleUnresolved role)`
Sets the element at the position specified to be the unresolved role specified.
Constructor parameters in javax.management.relation with type arguments of type RoleUnresolved
Modifier
Constructor
Description
``
`RoleUnresolvedList(List<RoleUnresolved> list)`
Constructs a `RoleUnresolvedList` containing the elements of the `List` specified, in the order in which they are returned by the `List`'s iterator.